Package com.ngrok.services

# Class AgentIngresses

java.lang.Object
com.ngrok.services.AgentIngresses

public class AgentIngresses extends Object
An API client for `AgentIngresses`. See also https://ngrok.com/docs/api#api-agent-ingresses.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AgentIngresses.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `AgentIngresses.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `AgentIngresses.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `AgentIngresses.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `AgentIngresses.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgentIngresses(NgrokApiClient apiClient)`
  Creates a new sub-client for AgentIngresses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AgentIngresses.CreateCallBuilder`
  `create(String domain)`
  Create a new Agent Ingress.
  `AgentIngresses.DeleteCallBuilder`
  `delete(String id)`
  Delete an Agent Ingress by ID See also https://ngrok.com/docs/api#api-agent-ingresses-delete.
  `AgentIngresses.GetCallBuilder`
  `get(String id)`
  Get the details of an Agent Ingress by ID.
  `AgentIngresses.ListCallBuilder`
  `list()`
  List all Agent Ingresses owned by this account See also https://ngrok.com/docs/api#api-agent-ingresses-list.
  `AgentIngresses.UpdateCallBuilder`
  `update(String id)`
  Update attributes of an Agent Ingress by ID.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AgentIngresses

    public AgentIngresses(NgrokApiClient apiClient)
    Creates a new sub-client for AgentIngresses.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public AgentIngresses.CreateCallBuilder create(String domain)
    Create a new Agent Ingress. The ngrok agent can be configured to connect to ngrok via the new set of addresses on the returned Agent Ingress. See also https://ngrok.com/docs/api#api-agent-ingresses-create.
    Parameters:
      `domain` - the domain that you own to be used as the base domain name to generate regional agent ingress domains.
    Returns:
      a call builder for this API call

  - ### delete

    public AgentIngresses.DeleteCallBuilder delete(String id)
    Delete an Agent Ingress by ID See also https://ngrok.com/docs/api#api-agent-ingresses-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public AgentIngresses.GetCallBuilder get(String id)
    Get the details of an Agent Ingress by ID. See also https://ngrok.com/docs/api#api-agent-ingresses-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public AgentIngresses.ListCallBuilder list()
    List all Agent Ingresses owned by this account See also https://ngrok.com/docs/api#api-agent-ingresses-list.
    Returns:
      a call builder for this API call

  - ### update

    public AgentIngresses.UpdateCallBuilder update(String id)
    Update attributes of an Agent Ingress by ID. See also https://ngrok.com/docs/api#api-agent-ingresses-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call